Lists
List Entries
Path Parameters
inbox_id*string
The ID of the inbox.
direction*string
Direction of list entry.
Value in
"send" | "receive" | "reply"type*string
Type of list entry.
Value in
"allow" | "block"Query Parameters
limit?integer
Limit of number of items returned.
page_token?string
Page token for pagination.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/lists/send/allow" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"entries": [
{
"entry": "string",
"organization_id": "string",
"reason": "string",
"direction": "send",
"list_type": "allow",
"entry_type": "email",
"created_at": "2019-08-24T14:15:22Z",
"pod_id": "string",
"inbox_id": "string"
}
]
}Create List Entry
Path Parameters
inbox_id*string
The ID of the inbox.
direction*string
Direction of list entry.
Value in
"send" | "receive" | "reply"type*string
Type of list entry.
Value in
"allow" | "block"Header Parameters
Authorization*string
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/inboxes/string/lists/send/allow" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "entry": "string" }'{
"entry": "string",
"organization_id": "string",
"reason": "string",
"direction": "send",
"list_type": "allow",
"entry_type": "email",
"created_at": "2019-08-24T14:15:22Z",
"pod_id": "string",
"inbox_id": "string"
}{
"name": "string",
"errors": null
}Get List Entry
Path Parameters
inbox_id*string
The ID of the inbox.
direction*string
Direction of list entry.
Value in
"send" | "receive" | "reply"type*string
Type of list entry.
Value in
"allow" | "block"entry*string
Email address or domain.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/inboxes/string/lists/send/allow/string" \ -H "Authorization: string"{
"entry": "string",
"organization_id": "string",
"reason": "string",
"direction": "send",
"list_type": "allow",
"entry_type": "email",
"created_at": "2019-08-24T14:15:22Z",
"pod_id": "string",
"inbox_id": "string"
}{
"name": "string",
"message": "string"
}Delete List Entry
Path Parameters
inbox_id*string
The ID of the inbox.
direction*string
Direction of list entry.
Value in
"send" | "receive" | "reply"type*string
Type of list entry.
Value in
"allow" | "block"entry*string
Email address or domain.
Header Parameters
Authorization*string
Bearer authentication
Response Body
application/json
curl -X DELETE "https://api.agentry.to/agent/v0/inboxes/string/lists/send/allow/string" \ -H "Authorization: string"Empty
{
"name": "string",
"message": "string"
}